GET /destinations/{id}/circuit

Authentication

API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)

Path Parameters

id string required path
Resource ID (32-char hex)
Example: "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"

Responses

200 Circuit breaker status
application/json
circuit object REQUIRED
401 Unauthorized
404 Not found
curl -X GET 'https://hookstream.io/v1/destinations/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/circuit' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/destinations/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/circuit', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://hookstream.io/v1/destinations/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/circuit', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/destinations/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6/circuit", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "circuit": "<object>"}